#ifndef  MODULES_BITMAP_H
#define  MODULES_BITMAP_H

/*
**   bitmap.h
**
**   (C) Copyright 2003-2004 Rocklyte Systems.
**       All Rights Reserved.
*/

#ifndef  MAIN_H
#include <pandora/main.h>
#endif

#ifndef GRAPHICS_BITMAP_H
#include <pandora/graphics/bitmap.h>
#endif

#define MODVERSION_BITMAP ((FLOAT)1.0)

struct BitmapSurfaceV1 {
   APTR  Data;
   WORD  Width, Height;
   union {
      LONG LineWidth;   /* The distance between bitmap lines, measured in bytes */
      LONG ByteWidth;   /* Redundant - use LineWidth */
   };
   UBYTE BitsPerPixel;
   UBYTE BytesPerPixel;
   UBYTE Opacity;
   UBYTE Version;       /* Version of the BitmapSurface structure */
   LONG  Colour;
   WORD  ClipLeft, ClipTop, ClipRight, ClipBottom;
   WORD  XOffset, YOffset;
   struct ColourFormat Format;
};

struct BitmapSurfaceV2 {
   APTR  Data;
   WORD  Width, Height;
   union {
      LONG LineWidth;   /* The distance between bitmap lines, measured in bytes */
      LONG ByteWidth;   /* Redundant - use LineWidth */
   };
   UBYTE BitsPerPixel;
   UBYTE BytesPerPixel;
   UBYTE Opacity;
   UBYTE Version;
   LONG  Colour;
   WORD  ClipLeft, ClipTop, ClipRight, ClipBottom;
   WORD  XOffset, YOffset;
   struct ColourFormat Format;
   APTR  Private;      /* [V2] Private pointer reserved for internal usage */
};

#define BitmapSurface BitmapSurfaceV2

typedef struct BitmapSurface BITMAPSURFACE;

#define BSF_TRANSPARENT   0x00000001
#define BSF_ALPHA         0x00000002
#define BSF_TRANSLUCENT   0x00000004
#define BSF_DEFAULTFORMAT 0x00000008
#define BSF_CLIP          0x00000010
#define BSF_OFFSET        0x00000020
#define BSF_OPACITY       BSF_TRANSLUCENT

/*****************************************************************************
** Function Table.
*/

#ifndef LOCAL_BITMAP

struct BitmapBase {
   ERROR (*BlitSurface)(struct BitmapSurface *, struct Bitmap *, LONG, LONG, LONG, LONG, LONG, LONG, LONG);
   void  (*SyncBitmap)(struct Bitmap *);
};

#define BlitSurface(a,b,c,d,e,f,g,h,i) (BitmapBase->BlitSurface(a,b,c,d,e,f,g,h,i))
#define SyncBitmap(a) (BitmapBase->SyncBitmap(a))

#else

static ERROR BlitSurface(struct BitmapSurface *, struct Bitmap *, LONG, LONG, LONG, LONG, LONG, LONG, LONG);
void SyncBitmap(struct Bitmap *);

#endif /* LOCAL_BITMAP */

#endif /* MODULES_BITMAP_H */

