#ifndef SYSTEM_FIELDS_H
#define SYSTEM_FIELDS_H TRUE

/*
**  fields.h
**
**  (C) Copyright 1996-2004 Rocklyte Systems.
**      All Rights Reserved.
**
*/

#ifndef MAIN_H
#include <pandora/main.h>
#endif

struct Variable {
   LONG   Type;    /* Field definition flags */
   LARGE  Large;
   DOUBLE Double;
   APTR   Pointer;
};

/**************************************************************************
** The following definitions are for reserved field ID's.
*/

#define FID_Actions          1
#define FID_Address          2
#define FID_AmtEntries       3
#define FID_Args             4
#define FID_Author           5
#define FID_BaseClassID      6
#define FID_Bitmap           7
#define FID_Position         8
#define FID_ChannelList      9
#define FID_ClassID          10
#define FID_Comment          11
#define FID_Container        12
#define FID_Copyright        13
#define FID_CPU              14
#define FID_Date             15
#define FID_Day              16
#define FID_DirectoryList    17
#define FID_Entries          18
#define FID_Fields           19
#define FID_FileDescription  20
#define FID_FileExtension    21
#define FID_FileList         22
#define FID_FunctionList     23
#define FID_Flags            24
#define FID_Height           25
#define FID_Hour             26
#define FID_KernelBase       27
#define FID_KernelTable      28
#define FID_Location         29
#define FID_MessageQueue     30
#define FID_Methods          31
#define FID_MicroSecond      32
#define FID_MilliSecond      33
#define FID_MinRevision      34
#define FID_Minute           35
#define FID_MinVersion       36
#define FID_ModBase          37
#define FID_ModName          38
#define FID_Month            39
#define FID_Name             40
#define FID_Next             41
#define FID_Number           42
#define FID_OpenCount        43
#define FID_Permissions      44
#define FID_Prev             45
#define FID_Routine          46
#define FID_Second           47
#define FID_Short            48
#define FID_Size             49
#define FID_Src              50
#define FID_SubClassID       51
#define FID_TableType        52
#define FID_Task             53
#define FID_TickCount        54
#define FID_Ticks            55
#define FID_TotalMethods     56
#define FID_TotalFields      57
#define FID_TotalSections    58
#define FID_Width            59
#define FID_XCoord           60
#define FID_YCoord           61
#define FID_Year             62
#define FID_Version          63
#define FID_ItemFilter       64
#define FID_SectionFilter    65
#define FID_ActionTable      66
#define FID_Category         67
#define FID_FileName         68
#define FID_Static           69
#define FID_Output           70
#define FID_Usage            71
#define FID_XOffset          72
#define FID_YOffset          73
#define FID_ArgsList         74
#define FID_XDisplay         75
#define FID_Master           76
#define FID_AmtColours       77
#define FID_BitsPerPixel     78
#define FID_ColourRGB        79
#define FID_SystemTime       80
#define FID_Drawable         81
#define FID_LeftMargin       82
#define FID_TopMargin        83
#define FID_Face             84
#define FID_VScroll          85
#define FID_String           86
#define FID_Sunken           87
#define FID_Border           88
#define FID_Colour           89
#define FID_TabFocus         90
#define FID_Points           91
#define FID_Visible          92
#define FID_Frame            93
#define FID_ReleaseFrame     94
#define FID_Button           95
#define FID_Region           96
#define FID_TextWidth        97
#define FID_TextHeight       98
#define FID_Thickness        99
#define FID_AmtLines         100
#define FID_XEnd             101
#define FID_YEnd             102
#define FID_Align            103
#define FID_BottomMargin     104
#define FID_RightMargin      105
#define FID_Highlight        106
#define FID_Shadow           107
#define FID_BytesPerPixel    108
#define FID_AbsX             109
#define FID_AbsY             110
#define FID_Owner            111
#define FID_Instance         112
#define FID_Target           113
#define FID_PrimaryObject    114
#define FID_Path             115
#define FID_DayOfWeek        116
#define FID_ReturnCode       117
#define FID_Buffer           118
#define FID_ResolveAssign    119
#define FID_TimeStamp        120
#define FID_Title            121
#define FID_InsideBorder     122
#define FID_InsideWidth      123
#define FID_InsideHeight     124
#define FID_MinWidth         125
#define FID_MinHeight        126
#define FID_MaxWidth         127
#define FID_MaxHeight        128
#define FID_StickToFront     129
#define FID_Quit             130
#define FID_Center           131
#define FID_Icon             132
#define FID_Method           133
#define FID_Object           134
#define FID_Response         135
#define FID_ImageWidth       136
#define FID_Text             137
#define FID_Hide             138
#define FID_Tags             139
#define FID_TagCount         140
#define FID_File             141
#define FID_Focus            142
#define FID_Call             143
#define FID_X                144
#define FID_Y                145
#define FID_ImageHeight      146
#define FID_XML              147
#define FID_SelectedTag      148
#define FID_ActiveTag        149
#define FID_TotalSelected    150
#define FID_SelectedTags     151
#define FID_Image            152
#define FID_Buttons          153
#define FID_TextInput        154
#define FID_Directory        155
#define FID_Mode             156
#define FID_Statement        157
#define FID_Direction        158
#define FID_RouteFocus       159
#define FID_Opacity          160
#define FID_Feedback         161
#define FID_TabSize          162
#define FID_Alpha            163
#define FID_PenShape         164
#define FID_Parent           165
#define FID_WrapWidth        166
#define FID_Point            167
#define FID_Style            168
#define FID_LineCount        169
#define FID_DataFlags        170
#define FID_Service          171
#define FID_RegisterObject   172
#define FID_ObjectList       173
#define FID_LocalArgs        174
#define FID_Axis             175
#define FID_WindowHandle     176
#define FID_Procedure        177
#define FID_RefreshRate      178
#define FID_GammaRed         179
#define FID_GammaBlue        180
#define FID_GammaGreen       181
#define FID_Sticky           182
#define FID_Intersect        183
#define FID_Bottom           184
#define FID_Right            185
#define FID_TopLimit         186
#define FID_BottomLimit      187
#define FID_RightLimit       188
#define FID_LeftLimit        189
#define FID_Layout           190
#define FID_Script           191
#define FID_Header           192
#define FID_LineLimit        193
#define FID_VSpacing         194
#define FID_Relative         195
#define FID_MenuFile         196
#define FID_SelectionObject  197
#define FID_SelectionField   198
#define FID_Drag             199
#define FID_Movement         200
#define FID_Slider           201
#define FID_PageSize         202
#define FID_ViewSize         203
#define FID_Monitor          204
#define FID_Unit             205
#define FID_StartMargin      206
#define FID_EndMargin        207
#define FID_Scroll           208
#define FID_FileSize         209
#define FID_BorderOffset     210
#define FID_Columns          211
#define FID_View             212
#define FID_Filter           213
#define FID_Input            214
#define FID_Fill             215
#define FID_LabelWidth       216
#define FID_Label            217
#define FID_Selection        218
#define FID_SelectionPath    219
#define FID_ArrowWidth       220
#define FID_ArrowHeight      221
#define FID_FixedWidth       222
#define FID_Volume           223
#define FID_Effect           224
#define FID_Duration         225
#define FID_LineSpacing      226
#define FID_Note             227
#define FID_Index            228
#define FID_Window           229
#define FID_BorderSize       230
#define FID_Screen           231
#define FID_Active           232
#define FID_FilterList       233
#define FID_SelectedFiles    234
#define FID_SongLength       235
#define FID_BytesPerSecond   236
#define FID_Length           237
#define FID_Frequency        238
#define FID_BitsPerSample    239
#define FID_Port             240
#define FID_SelectionIndex   241
#define FID_Stream           242
#define FID_StreamFile       243
#define FID_BufferLength     244
#define FID_Data             245
#define FID_FileContent      246
#define FID_Content          247
#define FID_Close            248
#define FID_ScreenMargin     249
#define FID_Priority         250
#define FID_OverObject       251
#define FID_Action           252
#define FID_Overwrite        253
#define FID_Dest             254
#define FID_Link             255
#define FID_Background       256
#define FID_Speed            257
#define FID_Acceleration     258
#define FID_MaxSpeed         259
#define FID_DoubleClick      260
#define FID_Theme            261
#define FID_WheelSpeed       262
#define FID_RepeatRate       263
#define FID_RepeatDelay      264
#define FID_XShift           265
#define FID_KeyOutput        266
#define FID_ButtonOrder      267
#define FID_Canvas           268
#define FID_Cursor           269
#define FID_TimeOut          270

#endif /* SYSTEM_FIELDS_H */
